2019年11月

Certbot 目前需要在装有 Python 2.7 或者 3.4 + 的类 Unix 操作系统上运行。一般情况下,为了能够对 /etc/letsencrypt/var/log/letsencrypt/var/lib/letsencrypt 等目录具有写权限,绑定 80 端口(如果使用 Standalone 插件),读取和修改 Web 服务器配置(如果使用 Apache 或 Nginx 插件),Certbot 需要在 root 权限下执行。

- 阅读剩余部分 -

一直以来都是用 LNMP.org 的一键编译安装 LNMP(LEMP),受机器的性能影响,编译安装往往很慢。本文记录使用 apt 在Ubuntu 18.04 服务器上安装安装 LEMP 的过程。

本文以下所有操作均使用 root 用户在系统版本为 Ubuntu 18.04.3 LTS 的 DigitalOcean VPS 上进行操作。(推荐使用具有 sudo 权限的非 root 用户进行安装)

- 阅读剩余部分 -